<template>
  <div>
    <div class="text-center">
      <v-pagination
        v-model="currentPage"
        :length="totalPages"
        @input="changePage"
      />
    </div>
  </div>
</template>

<script>
export default {
  name: 'Pagination',
  props: ['total', 'item'],
  data() {
    return {
      currentPage: 1
    }
  },
  computed: {
    totalPages() {
      return Math.ceil(this.total / this.item)
    }
  },
  methods: {
    changePage(pageNumber) {
      this.currentPage = pageNumber
      this.$emit('page-changed', pageNumber)
    }
  }
}
</script>
